Skip to main content
GET
https://app.useduckie.ai
/
api
/
v1
/
tools
List tools
curl --request GET \
  --url https://app.useduckie.ai/api/v1/tools \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.useduckie.ai/api/v1/tools"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.useduckie.ai/api/v1/tools', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "object": "tool",
      "name": "<string>",
      "description": "<string>",
      "is_write_action": true,
      "requires_approval": true,
      "enabled": true,
      "parameters": [
        {
          "name": "<string>",
          "type": "<string>",
          "required": true,
          "description": "<string>",
          "has_preset_value": true
        }
      ],
      "duckie": {
        "category": "<string>",
        "availability": "<string>"
      },
      "app": {
        "integration_id": "<string>",
        "integration_name": "<string>",
        "connection_status": "<string>"
      },
      "custom": {
        "endpoint": "<string>",
        "method": "<string>",
        "body_format": "<string>",
        "headers": [
          {
            "name": "<string>",
            "value": "<string>"
          }
        ],
        "http_timeout_sec": 123,
        "auth": {}
      },
      "mcp": {
        "server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "server_name": "<string>",
        "mcp_tool_name": "<string>",
        "input_schema": {}
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "next_cursor": "<string>",
    "has_more": true
  }
}
{
  "error": {
    "message": "<string>",
    "request_id": "<string>",
    "retry_after": 2
  }
}
{
  "error": {
    "message": "<string>",
    "request_id": "<string>",
    "retry_after": 2
  }
}
{
  "error": {
    "message": "<string>",
    "request_id": "<string>",
    "retry_after": 2
  }
}
{
  "error": {
    "message": "<string>",
    "request_id": "<string>",
    "retry_after": 2
  }
}
{
  "error": {
    "message": "<string>",
    "request_id": "<string>",
    "retry_after": 2
  }
}

Authorizations

Authorization
string
header
required

API key created in Duckie Settings -> API Access.

Query Parameters

limit
integer
default:100

Maximum number of records to return. Defaults to 100 and is capped at 200.

Required range: 1 <= x <= 200
cursor
string

Opaque cursor from the previous page's pagination.next_cursor value.

type
enum<string>[]

Filter by one or more tool types. Repeat the parameter for OR matching.

Available options:
duckie_tool,
app_tool,
custom_tool,
mcp_tool

Search tool name, description, app integration name, and MCP server name.

is_write_action
boolean

Filter tools by whether they perform write actions.

requires_approval
boolean

Filter tools by whether they require approval.

integration_id
string

Filter app tools by integration ID.

mcp_server_id
string<uuid>

Filter MCP tools by server UUID.

Response

Tools.

data
object[]
required
pagination
object
required